<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('user', function(Blueprint $table) {
			$table->foreign('role_id')->references('id')->on('role')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('broker', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->foreign('property_id')->references('id')->on('rateing')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->foreign('vehicle_id')->references('id')->on('vehicle')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->foreign('request_ad_id')->references('id')->on('request_ad_broker')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('request_ad_broker', function(Blueprint $table) {
			$table->foreign('broker_id')->references('id')->on('broker')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('request_ad_broker', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('influencer', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('earnings_influencer', function(Blueprint $table) {
			$table->foreign('influencer_id')->references('timestamps')->on('influencer')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ad_influencer', function(Blueprint $table) {
			$table->foreign('influncer_id')->references('id')->on('influencer')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->foreign('owner_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->foreign('locution_id')->references('id')->on('location')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->foreign('property_type')->references('id')->on('property_type')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->foreign('property_status')->references('id')->on('property_state')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('vehicle', function(Blueprint $table) {
			$table->foreign('owner_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('vehicle', function(Blueprint $table) {
			$table->foreign('vechicle_category_id')->references('id')->on('vehicle_category')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('vehicle', function(Blueprint $table) {
			$table->foreign('vechicle_model_id')->references('id')->on('vehicle_model')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('rateing', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('location', function(Blueprint $table) {
			$table->foreign('currency_id')->references('id')->on('currency')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('admin', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('admin', function(Blueprint $table) {
			$table->foreign('role_id')->references('id')->on('role')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('chat', function(Blueprint $table) {
			$table->foreign('sender_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('chat', function(Blueprint $table) {
			$table->foreign('recipient_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('post', function(Blueprint $table) {
			$table->foreign('chat_id')->references('timestamps')->on('chat')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('order_travel', function(Blueprint $table) {
			$table->foreign('travel_officee_id')->references('id')->on('travel_officee')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('order_travel', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('city')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('city', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('country')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('favorite', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('session', function(Blueprint $table) {
			$table->foreign('admin_id')->references('id')->on('admin')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('notafication', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('session_view', function(Blueprint $table) {
			$table->foreign('session_id')->references('id')->on('session')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('session_view', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('property_type', function(Blueprint $table) {
			$table->foreign('property_category_id')->references('id')->on('property_category')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('vehicle_model', function(Blueprint $table) {
			$table->foreign('vehicle_make_id')->references('id')->on('vehicle_make')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('transaction', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('transaction', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('category')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('transaction', function(Blueprint $table) {
			$table->foreign('currency_id')->references('id')->on('currency')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('travel_office_user', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('travel_office_user', function(Blueprint $table) {
			$table->foreign('travel_officee_id')->references('id')->on('travel_officee')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('favorite_user', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('favorite_user', function(Blueprint $table) {
			$table->foreign('location_id')->references('id')->on('location')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('chat_user', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('chat_user', function(Blueprint $table) {
			$table->foreign('chat_id')->references('timestamps')->on('chat')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('rateing_user', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('user')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('rateing_user', function(Blueprint $table) {
			$table->foreign('rateing_id')->references('timestamps')->on('rateing')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('permession_role', function(Blueprint $table) {
			$table->foreign('role_id')->references('id')->on('role')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('permession_role', function(Blueprint $table) {
			$table->foreign('permession_id')->references('id')->on('permession')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('user', function(Blueprint $table) {
			$table->dropForeign('user_role_id_foreign');
		});
		Schema::table('broker', function(Blueprint $table) {
			$table->dropForeign('broker_user_id_foreign');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->dropForeign('ad_broker_user_id_foreign');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->dropForeign('ad_broker_property_id_foreign');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->dropForeign('ad_broker_vehicle_id_foreign');
		});
		Schema::table('ad_broker', function(Blueprint $table) {
			$table->dropForeign('ad_broker_request_ad_id_foreign');
		});
		Schema::table('request_ad_broker', function(Blueprint $table) {
			$table->dropForeign('request_ad_broker_broker_id_foreign');
		});
		Schema::table('request_ad_broker', function(Blueprint $table) {
			$table->dropForeign('request_ad_broker_user_id_foreign');
		});
		Schema::table('influencer', function(Blueprint $table) {
			$table->dropForeign('influencer_user_id_foreign');
		});
		Schema::table('earnings_influencer', function(Blueprint $table) {
			$table->dropForeign('earnings_influencer_influencer_id_foreign');
		});
		Schema::table('ad_influencer', function(Blueprint $table) {
			$table->dropForeign('ad_influencer_influncer_id_foreign');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->dropForeign('property_owner_id_foreign');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->dropForeign('property_locution_id_foreign');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->dropForeign('property_property_type_foreign');
		});
		Schema::table('property', function(Blueprint $table) {
			$table->dropForeign('property_property_status_foreign');
		});
		Schema::table('vehicle', function(Blueprint $table) {
			$table->dropForeign('vehicle_owner_id_foreign');
		});
		Schema::table('vehicle', function(Blueprint $table) {
			$table->dropForeign('vehicle_vechicle_category_id_foreign');
		});
		Schema::table('vehicle', function(Blueprint $table) {
			$table->dropForeign('vehicle_vechicle_model_id_foreign');
		});
		Schema::table('rateing', function(Blueprint $table) {
			$table->dropForeign('rateing_user_id_foreign');
		});
		Schema::table('location', function(Blueprint $table) {
			$table->dropForeign('location_currency_id_foreign');
		});
		Schema::table('admin', function(Blueprint $table) {
			$table->dropForeign('admin_user_id_foreign');
		});
		Schema::table('admin', function(Blueprint $table) {
			$table->dropForeign('admin_role_id_foreign');
		});
		Schema::table('chat', function(Blueprint $table) {
			$table->dropForeign('chat_sender_id_foreign');
		});
		Schema::table('chat', function(Blueprint $table) {
			$table->dropForeign('chat_recipient_id_foreign');
		});
		Schema::table('post', function(Blueprint $table) {
			$table->dropForeign('post_chat_id_foreign');
		});
		Schema::table('order_travel', function(Blueprint $table) {
			$table->dropForeign('order_travel_travel_officee_id_foreign');
		});
		Schema::table('order_travel', function(Blueprint $table) {
			$table->dropForeign('order_travel_city_id_foreign');
		});
		Schema::table('city', function(Blueprint $table) {
			$table->dropForeign('city_country_id_foreign');
		});
		Schema::table('favorite', function(Blueprint $table) {
			$table->dropForeign('favorite_user_id_foreign');
		});
		Schema::table('session', function(Blueprint $table) {
			$table->dropForeign('session_admin_id_foreign');
		});
		Schema::table('notafication', function(Blueprint $table) {
			$table->dropForeign('notafication_user_id_foreign');
		});
		Schema::table('session_view', function(Blueprint $table) {
			$table->dropForeign('session_view_session_id_foreign');
		});
		Schema::table('session_view', function(Blueprint $table) {
			$table->dropForeign('session_view_user_id_foreign');
		});
		Schema::table('property_type', function(Blueprint $table) {
			$table->dropForeign('property_type_property_category_id_foreign');
		});
		Schema::table('vehicle_model', function(Blueprint $table) {
			$table->dropForeign('vehicle_model_vehicle_make_id_foreign');
		});
		Schema::table('transaction', function(Blueprint $table) {
			$table->dropForeign('transaction_user_id_foreign');
		});
		Schema::table('transaction', function(Blueprint $table) {
			$table->dropForeign('transaction_category_id_foreign');
		});
		Schema::table('transaction', function(Blueprint $table) {
			$table->dropForeign('transaction_currency_id_foreign');
		});
		Schema::table('travel_office_user', function(Blueprint $table) {
			$table->dropForeign('travel_office_user_user_id_foreign');
		});
		Schema::table('travel_office_user', function(Blueprint $table) {
			$table->dropForeign('travel_office_user_travel_officee_id_foreign');
		});
		Schema::table('favorite_user', function(Blueprint $table) {
			$table->dropForeign('favorite_user_user_id_foreign');
		});
		Schema::table('favorite_user', function(Blueprint $table) {
			$table->dropForeign('favorite_user_location_id_foreign');
		});
		Schema::table('chat_user', function(Blueprint $table) {
			$table->dropForeign('chat_user_user_id_foreign');
		});
		Schema::table('chat_user', function(Blueprint $table) {
			$table->dropForeign('chat_user_chat_id_foreign');
		});
		Schema::table('rateing_user', function(Blueprint $table) {
			$table->dropForeign('rateing_user_user_id_foreign');
		});
		Schema::table('rateing_user', function(Blueprint $table) {
			$table->dropForeign('rateing_user_rateing_id_foreign');
		});
		Schema::table('permession_role', function(Blueprint $table) {
			$table->dropForeign('permession_role_role_id_foreign');
		});
		Schema::table('permession_role', function(Blueprint $table) {
			$table->dropForeign('permession_role_permession_id_foreign');
		});
	}
}